Page MenuHomePhabricator

OAuth logs getting quite a lot bigger
Closed, ResolvedPublic

Description

OAuth 2 code was included in wmf/1.35.0-wmf.15, which started rolling out Tuesday, 14 January 2020 (and as of writing, is still active), followed by wmf/1.35.0-wmf.15 which started rolling out Tuesday, 21 January 2020...

Not saying it's for definitely the new OAuth2 code...

reedy@mwlog1001:/srv/mw-log/archive$ du -h OAuth.log-20*
5.5G	OAuth.log-20191104.gz
6.6G	OAuth.log-20191105.gz
6.3G	OAuth.log-20191106.gz
6.8G	OAuth.log-20191107.gz
6.6G	OAuth.log-20191108.gz
6.7G	OAuth.log-20191109.gz
6.7G	OAuth.log-20191110.gz
7.0G	OAuth.log-20191111.gz
6.7G	OAuth.log-20191112.gz
6.3G	OAuth.log-20191113.gz
6.5G	OAuth.log-20191114.gz
6.4G	OAuth.log-20191115.gz
6.8G	OAuth.log-20191116.gz
6.9G	OAuth.log-20191117.gz
7.0G	OAuth.log-20191118.gz
7.5G	OAuth.log-20191119.gz
7.7G	OAuth.log-20191120.gz
7.0G	OAuth.log-20191121.gz
7.0G	OAuth.log-20191122.gz
6.9G	OAuth.log-20191123.gz
7.1G	OAuth.log-20191124.gz
7.4G	OAuth.log-20191125.gz
6.8G	OAuth.log-20191126.gz
7.2G	OAuth.log-20191127.gz
6.9G	OAuth.log-20191128.gz
6.8G	OAuth.log-20191129.gz
6.9G	OAuth.log-20191130.gz
8.8G	OAuth.log-20191201.gz
5.7G	OAuth.log-20191202.gz
6.0G	OAuth.log-20191203.gz
5.7G	OAuth.log-20191204.gz
5.1G	OAuth.log-20191205.gz
6.0G	OAuth.log-20191206.gz
6.5G	OAuth.log-20191207.gz
7.6G	OAuth.log-20191208.gz
7.8G	OAuth.log-20191209.gz
7.2G	OAuth.log-20191210.gz
7.5G	OAuth.log-20191211.gz
7.6G	OAuth.log-20191212.gz
7.1G	OAuth.log-20191213.gz
7.9G	OAuth.log-20191214.gz
7.6G	OAuth.log-20191215.gz
7.4G	OAuth.log-20191216.gz
7.7G	OAuth.log-20191217.gz
7.1G	OAuth.log-20191218.gz
6.8G	OAuth.log-20191219.gz
7.1G	OAuth.log-20191220.gz
7.4G	OAuth.log-20191221.gz
7.4G	OAuth.log-20191222.gz
7.0G	OAuth.log-20191223.gz
7.3G	OAuth.log-20191224.gz
7.7G	OAuth.log-20191225.gz
7.1G	OAuth.log-20191226.gz
7.7G	OAuth.log-20191227.gz
7.3G	OAuth.log-20191228.gz
7.3G	OAuth.log-20191229.gz
7.4G	OAuth.log-20191230.gz
7.5G	OAuth.log-20191231.gz
7.0G	OAuth.log-20200101.gz
7.2G	OAuth.log-20200102.gz
7.9G	OAuth.log-20200103.gz
7.7G	OAuth.log-20200104.gz
6.5G	OAuth.log-20200105.gz
7.4G	OAuth.log-20200106.gz
6.8G	OAuth.log-20200107.gz
7.1G	OAuth.log-20200108.gz
6.8G	OAuth.log-20200109.gz
6.6G	OAuth.log-20200110.gz
7.2G	OAuth.log-20200111.gz
7.4G	OAuth.log-20200112.gz
8.0G	OAuth.log-20200113.gz
8.0G	OAuth.log-20200114.gz
7.3G	OAuth.log-20200115.gz
7.0G	OAuth.log-20200116.gz
6.8G	OAuth.log-20200117.gz
6.9G	OAuth.log-20200118.gz
6.8G	OAuth.log-20200119.gz
8.4G	OAuth.log-20200120.gz
8.4G	OAuth.log-20200121.gz
7.3G	OAuth.log-20200122.gz
7.8G	OAuth.log-20200123.gz
7.9G	OAuth.log-20200124.gz
9.5G	OAuth.log-20200125.gz
8.4G	OAuth.log-20200126.gz
8.2G	OAuth.log-20200127.gz
9.0G	OAuth.log-20200128.gz
9.1G	OAuth.log-20200129.gz
9.4G	OAuth.log-20200130.gz
9.3G	OAuth.log-20200131.gz
9.3G	OAuth.log-20200201.gz
9.6G	OAuth.log-20200202.gz
125G	OAuth.log-20200203

Details

Related Gerrit Patches:

Event Timeline

Reedy created this task.Feb 3 2020, 10:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 3 2020, 10:13 PM
Anomie added a subscriber: Anomie.Feb 4 2020, 4:16 PM

Probably the thing to do is see if any of the DEBUG-level messages being logged are interesting enough to be promoted to INFO, then stop logging DEBUG.

WDoranWMF assigned this task to Krinkle.Feb 10 2020, 4:20 PM
WDoranWMF triaged this task as Medium priority.

Change 572736 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/OAuth@master] api: Raise "Bad OAuth request" logger from DEBUG to INFO

https://gerrit.wikimedia.org/r/572736

Change 572737 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[operations/mediawiki-config@master] Raise minimum log level for 'OAuth' from DEBUG to INFO

https://gerrit.wikimedia.org/r/572737

Krinkle removed Krinkle as the assignee of this task.Feb 17 2020, 7:57 PM
Krinkle added a subscriber: Krinkle.

Change 572737 merged by jenkins-bot:
[operations/mediawiki-config@master] Raise minimum log level for 'OAuth' from DEBUG to INFO

https://gerrit.wikimedia.org/r/572737

Mentioned in SAL (#wikimedia-operations) [2020-02-18T22:38:06Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T244185 Raise minimum log level for 'OAuth' from DEBUG to INFO (duration: 01m 04s)

Krinkle closed this task as Resolved.Feb 20 2020, 12:06 AM
Krinkle claimed this task.
Krinkle removed a project: Patch-For-Review.

Change 572736 merged by jenkins-bot:
[mediawiki/extensions/OAuth@master] api: Raise "Bad OAuth request" logger from DEBUG to INFO

https://gerrit.wikimedia.org/r/572736